commit da2ea76503e8f1784d0f0be26435d4c8e0d1b12f
Author: Shiro Kawai <shiro@acm.org>
Date:   Sat Oct 15 11:44:28 2016 -1000

    Avoid preprocessor symbols redefinition on OpenBSD

    https://sourceforge.net/p/gauche/mailman/message/35429549/

diff --git a/ext/net/gauche-net.h b/ext/net/gauche-net.h
index d4f1dcd..decba64 100644
--- a/ext/net/gauche-net.h
+++ b/ext/net/gauche-net.h
@@ -362,8 +362,12 @@ extern ScmObj Scm_GetAddrinfo(const char *nodename,
                               struct addrinfo *hints);
 extern ScmObj Scm_GetNameinfo(ScmSockAddr *addr, int flags);
 
+#ifndef NI_MAXHOST
 #define NI_MAXHOST  1025
+#endif
+#ifndef NI_MAXSERV
 #define NI_MAXSERV    32
+#endif
 
 #endif /* HAVE_IPV6 */
 
